Subject: Comments on draft-huston-ipv6-local-use-comments-01

From: "Nir Arad" <[email-masked]>
Date: Mon, 1 Sep 2003 18:31:15 +0200

Hi,

While admiring the detailed work on commenting the various aspects of the Unique Local IPv6 Unicast Addresses draft, I would like to focus my comments to two technical issues of the commentary.

1. Section 3 and the issue of the birthday paradox is misleading.
As I have written in a response to the group some time ago, the birthday paradox is not an issue here.
It would be an issue had all organizations in the world merged into one global organization, after each had drawn his own random number.
In this case, there is a probability of over 0.5 that after 1.24 million organizations merging in, there is a collision.

This, obviously, is not the case.
Yes, there is a probability of 0.5 that among any given 1.24 million organizations there is a collision, but those organizations are not going to merge together!
Within any TWO organizations actually merging, the probability of collision remains 2^-40, which is, I believe, low enough.

It is true that in the global routing table, two leaking local-scope addresses may collide, presumably making it harder to trace the source.
However, since those addresses are internally generated in the first place, this problem exists anyway.

2. On restating the requirements for local addresses
Personally, I was very impressed from Margaret Wasserman's work in draft-wasserman-ipv6-sl-impact-02.
It details a list of important scenarios which have to be considered when devising a local-scope addressing scheme.
It is my suggestion, if the commentary draft is expected to have a follow-up version, to add a mapping of the proposed solutions into the problem space presented in Margaret's draft, and see to what extent they match up. I would be glad to offer assistance with this respect.
I think we should keep important and thorough works like those, and learn from them.

Regards,

--
Nir Arad
Marvell Semiconductor Israel
http://www.marvell.com/